package com.ym.mec.auth.dal.dao;

import java.util.List;

import com.ym.mec.auth.api.entity.SysRoleMenu;
import com.ym.mec.common.dal.BaseDAO;

public interface SysRoleMenuDao extends BaseDAO<Integer, SysRoleMenu> {

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<String> queryPermissionsByRoleId(Integer roleId);

	/**
	 * 删除角色菜单权限
	 * @param sysRoleMenu
	 * @return
	 */
	int delete(SysRoleMenu sysRoleMenu);
}