package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.dto.SubFeeSettingDto;
import com.ym.mec.web.dal.entity.MusicGroup;

public interface MusicGroupService extends BaseService<String, MusicGroup> {

    /**
     * 建团申请，基本信息提交
     * @param musicGroup
     */
    void add(MusicGroup musicGroup);

    /**
     * 建团申请数据提交
     * @param subFeeSettingDto
     */
    void createGroup(SubFeeSettingDto subFeeSettingDto);
}