package com.ym.mec.web.service;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.Organization;
import com.ym.mec.web.dal.page.OrganizationQueryInfo;

public interface OrganizationService extends BaseService<Integer, Organization> {

    /**
     * 获取节点树状结构
     * @param queryInfo
     * @return
     */
    PageInfo<Organization> queryTreePage(OrganizationQueryInfo queryInfo);
}