package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.ChargeTypeDao;
import com.ym.mec.web.dal.entity.ChargeType;
import com.ym.mec.web.service.ChargeTypeService;

@Service
public class ChargeTypeServiceImpl extends BaseServiceImpl<Integer, ChargeType>  implements ChargeTypeService {
	
	@Autowired
	private ChargeTypeDao chargeTypeDao;

	@Override
	public BaseDAO<Integer, ChargeType> getDAO() {
		return chargeTypeDao;
	}
	
}