package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.MusicGroupPurchaseListDao;
import com.ym.mec.web.dal.entity.MusicGroupPurchaseList;
import com.ym.mec.web.service.MusicGroupPurchaseListService;

@Service
public class MusicGroupPurchaseListServiceImpl extends BaseServiceImpl<Integer, MusicGroupPurchaseList>  implements MusicGroupPurchaseListService {
	
	@Autowired
	private MusicGroupPurchaseListDao musicGroupPurchaseListDao;

	@Override
	public BaseDAO<Integer, MusicGroupPurchaseList> getDAO() {
		return musicGroupPurchaseListDao;
	}
	
}