package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.TeacherLeaveRecordDao;
import com.ym.mec.web.dal.entity.TeacherLeaveRecord;
import com.ym.mec.web.service.TeacherLeaveRecordService;

@Service
public class TeacherLeaveRecordServiceImpl extends BaseServiceImpl<Long, TeacherLeaveRecord>  implements TeacherLeaveRecordService {
	
	@Autowired
	private TeacherLeaveRecordDao teacherLeaveRecordDao;

	@Override
	public BaseDAO<Long, TeacherLeaveRecord> getDAO() {
		return teacherLeaveRecordDao;
	}
	
}